*Figures2.do
set more off
cd "D:\Research\Fabrizio-Tsolmon\resubmission"

* zonder missing (orgineel)
use D:\Research\Fabrizio-Tsolmon\Data\RD_analysis.dta, clear

drop if abs(delta_lnrd) > 0.5

label var delta_lnrd "\$\Delta\$R&D"
reg delta_lnrd delta_lnrgout delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if fast_cont!=. , cluster(gvkey)
gen insample1=(e(sample)==1)
predict fitted_delta_lnrd if insample1, nolabel
twoway scatter fitted_delta_lnr delta_lnrd if insample1, saving(Figure_1,replace) graphregion(color(white)) mcolor(black) ytitle("fitted {&Delta}R&D") xtitle("{&Delta}R&D") xlabel(-10 -5 0 5 10) ylabel(-5 0 5)
drop fitted_delta_lnr
* met missing
use D:\Research\Fabrizio-Tsolmon\Data\RD_analysis_MIS.dta, clear

drop if abs(delta_lnrd) > 0.5

reg delta_lnrd delta_lnrgout delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if fast_cont!=. , cluster(gvkey)
gen insample2=(e(sample)==1)
predict fitted_delta_lnrd if insample2, nolabel
twoway scatter fitted_delta_lnrd delta_lnrd if insample2, saving(Figure_2,replace) graphregion(color(white)) mcolor(black) ytitle("fitted {&Delta}R&D") xtitle("{&Delta}R&D") xlabel(-10 -5 0 5 10) ylabel(-5 0 5)
gr combine Figure_1.gph Figure_2.gph, ycom xcom saving(Figure,replace)
graph export "Figure2.pdf", as(pdf) replace
