*Tables_paper_oct 17.do
*All tables of Cyclicality.lyx

*chlevel==1 then 75897 obs (levels)
*chft==1 then 71264 obs (first diff)
*chdd==1 then 69162 obs (first diff FE)

set more off
cd D:\Research\Fabrizio-Tsolmon\Resubmission
log using "tables_R.out", replace text
* met missing
*use D:\Research\Fabrizio-Tsolmon\Data\RD_analysis_MIS.dta, clear OLD ONE!!!!
* zonder missing (orgineel)
use D:\Research\Fabrizio-Tsolmon\Data\RD_analysis.dta, clear
*tsset gvkey year
xtset gvkey year
*gen ln_rgoutXfastcont=ln_rgout*fast_cont
*gen delta_lnrgoutXfastcont=delta_lnrgout*fast_cont
*gen delta_lnrgoutXneg=delta_lnrgout*neg_rgout
*gen delta_lnrgoutXpateff=delta_lnrgout*pat_effect
*gen delta_lnrgoutXext=delta_lnrgout*external
drop yy1

label var delta_lnrgout "\$\Delta\$Output"
label var delta_lnrgoutXpateff "\$\Delta\$Output\$\times\$Patent Effectiveness"
label var pat_effect "Patent Effectiveness"
label var delta_lnrgoutXfastcont "\$\Delta\$Output\$\times\$Obsolescence"
label var fast_cont "Obsolescence"
label var delta_lnrgoutXext "\$\Delta\$Output\$\times\$External Financing"
label var external "External Financing"

*label var ln_rgout "Output"
*label var lnrgoutXpateff  "Output\$\times\$Patent_Effectiveness"
*label var lnrgoutXfastcont "Ouput\$\times\$Obsolescence"
*label var lnrgoutXext "Ouput\$\times\$External_Financing"

drop if abs(delta_lnrd) > 0.5
 
bys gvkey:gene nyear=_N
 
*TABLE 1 
*OLS: R&D analysis - specification Fabrizio and Tsolman (2014)
*(1)
eststo: reg delta_lnrd delta_lnrgout delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag if fast_cont!=. , cluster(gvkey)
estadd local yearFE "No"
estadd scalar AveMargEffect = _b[delta_lnrgout]
estadd scalar AveNegPer = 0

* Table 1 regression (2)
*(2)
eststo: reg delta_lnrd delta_lnrgout delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if fast_cont!=. , cluster(gvkey)
gen insample=(e(sample)==1)
gen rd0=(ln_rd == 0) if insample
summ ln_rd rd0 if insample
estadd local yearFE "Yes"
estadd scalar AveMargEffect = _b[delta_lnrgout]
estadd scalar AveNegPer = 0
*predict yf if insample, nolabel
*twoway scatter yf delta_lnrd if insample
* concentrate out the other variables
*reg delta_lnrd                delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if insample
*predict y  if insample, res nolabel
*reg delta_lnrgout             delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if insample
*predict x  if insample, res nolabel
*reg y x if insample
*twoway scatter delta_lnrd delta_lnrgout if insample, saving(raw)
*twoway scatter  y          x            if insample, saving(concentrated)
*gr combine raw.gph concentrated.gph
*(3)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(4)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXfastcont  fast_cont  delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXfastcont]*fast_cont
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(5)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont  delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(6)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont delta_lnrgoutXext external delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(7)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont delta_lnrgoutXext external delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  if fast_cont!=. , cluster(gvkey)
estadd local yearFE "No"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
gene chft=e(sample)

esttab using table1R.tex, replace label nomtitles se b(3) drop(delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy**) stats(yearFE N r2 AveMargEffect AveNegPer, labels("Year fixed effects" "N (observations)" "\$R^2\$" "Average marginal effect output" "\%Avg marginal effect\$<\$0") fmt(%s 0 %9.3f %9.3f %9.1f)) noobs title(OLS estimates of growth in R\&D expenditures (eq. 4)) nonotes addnotes("Robust standard errors, clustered by firm in parentheses. * p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001." "Additional controls as in FT, i.e. first differenced.")
eststo clear

*TABLE 2
*FE: Barlevy specification
gen lnrgoutXpateff=ln_rgout*pat_effect
gen lnrgoutXfastcont=ln_rgout*fast_cont 
gen lnrgoutXext=ln_rgout*external
by gvkey: gen ln_cashafterlag=ln_cashafter[_n-1]
by gvkey: gen ln_atlag=ln_at[_n-1]
by gvkey: gen ln_ltlag=ln_lt[_n-1]
by gvkey: gen ln_dlttlag=ln_dltt[_n-1]
by gvkey: gen ln_dd1lag=ln_dd1[_n-1]
by gvkey: gen ln_ppentlag=ln_ppent[_n-1]

quiet xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=. ,fe cluster(gvkey)
gene chlevels=e(sample)
eststo: xtreg delta_lnrd delta_lnrgout if fast_cont!=.  ,fe cluster(gvkey)
estadd local yearFE "No"
estadd local BalanceSheet "No"
eststo: xtreg delta_lnrd delta_lnrgout yy* if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "Yes"
estadd local BalanceSheet "No"
eststo: xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "No"
estadd local BalanceSheet "Yes"
eststo: xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "Yes"
estadd local BalanceSheet "Yes"
esttab using table2R.tex, replace label nomtitles se b(3) drop(_cons ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy*) stats(yearFE BalanceSheet N r2_o, labels("Year fixed effects" "Balance sheet" "N (observations)" "\$R^2\$ (overall)") fmt(%s %s 0 %9.3f)) noobs title(Fixed effects estimates of growth in R\&D expenditures eq. (2)) nonotes addnotes("Robust standard errors, clustered by firm in parentheses." "* p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001." " Balance sheet controls in levels as in Barlevy (2007).")
eststo clear

* met missing
use RD_analysis_MIS_2.dta, clear
xtset gvkey year
drop yy1
drop if abs(delta_lnrd) > 0.5

bys gvkey:gene nyear=_N

label var delta_lnrgout "\$\Delta\$Output"
label var delta_lnrgoutXpateff "\$\Delta\$Output\$\times\$Patent Effectiveness"
label var pat_effect "Patent Effectiveness"
label var delta_lnrgoutXfastcont "\$\Delta\$Output\$\times\$Obsolescence"
label var fast_cont "Obsolescence"
label var delta_lnrgoutXext "\$\Delta\$Output\$\times\$External Financing"
label var external "External Financing"
 
*TABLE 3 
*OLS: R&D analysis - specification Fabrizio and Tsolman (2014) - corrected data
*(1)
eststo: reg delta_lnrd delta_lnrgout delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag if fast_cont!=. , cluster(gvkey)
estadd local yearFE "No"
estadd scalar AveMargEffect = _b[delta_lnrgout]
estadd scalar AveNegPer = 0

* Table 3 regression (2)
*(2)
eststo: reg delta_lnrd delta_lnrgout delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if fast_cont!=. , cluster(gvkey)
gen insample=(e(sample)==1)
estadd local yearFE "Yes"
estadd scalar AveMargEffect = _b[delta_lnrgout]
estadd scalar AveNegPer = 0
*predict yf if insample, nolabel
*twoway scatter yf delta_lnrd if insample
* concentrate out the other variables
*reg delta_lnrd                delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if insample
*predict y  if insample, res nolabel
*reg delta_lnrgout             delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if insample
*predict x  if insample, res nolabel
*reg y x if insample
*twoway scatter delta_lnrd delta_lnrgout if insample, saving(raw)
*twoway scatter  y          x            if insample, saving(concentrated)
*gr combine raw.gph concentrated.gph
*(3)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(4)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXfastcont  fast_cont  delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXfastcont]*fast_cont
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(5)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont  delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(6)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont delta_lnrgoutXext external delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(7)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont delta_lnrgoutXext external delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  if fast_cont!=. , cluster(gvkey)
estadd local yearFE "No"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
gene chft=e(sample)
esttab using table3R.tex, replace label nomtitles se b(3) drop(delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy**) stats(yearFE N r2 AveMargEffect AveNegPer, labels("Year fixed effects" "N (observations)" "\$R^2\$" "Average marginal effect output" "\%Avg marginal effect\$<\$0") fmt(%s 0 %9.3f %9.3f %9.1f)) noobs title(OLS estimates of growth in R\&D expenditures (eq. 4), OGGB data) nonotes addnotes("Robust standard errors, clustered by firm in parentheses. * p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001." "Additional controls as in FT, i.e. first differenced.")
eststo clear

*TABLE 4
*FE: Barlevy specification - corrected data
gen lnrgoutXpateff=ln_rgout*pat_effect
gen lnrgoutXfastcont=ln_rgout*fast_cont 
gen lnrgoutXext=ln_rgout*external

label var ln_rgout "Output"
label var lnrgoutXpateff  "Output\$\times\$Patent Effectiveness"
label var lnrgoutXfastcont "Ouput\$\times\$Obsolescence"
label var lnrgoutXext "Ouput\$\times\$External Financing"

by gvkey: gen ln_cashafterlag=ln_cashafter[_n-1]
by gvkey: gen ln_atlag=ln_at[_n-1]
by gvkey: gen ln_ltlag=ln_lt[_n-1]
by gvkey: gen ln_dlttlag=ln_dltt[_n-1]
by gvkey: gen ln_dd1lag=ln_dd1[_n-1]
by gvkey: gen ln_ppentlag=ln_ppent[_n-1]

quiet xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=. ,fe cluster(gvkey)
gene chlevels=e(sample)
eststo: xtreg delta_lnrd delta_lnrgout if fast_cont!=.  ,fe cluster(gvkey)
estadd local yearFE "No"
estadd local BalanceSheet "No"
eststo: xtreg delta_lnrd delta_lnrgout yy* if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "Yes"
estadd local BalanceSheet "No"
eststo: xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "No"
estadd local BalanceSheet "Yes"
eststo: xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "Yes"
estadd local BalanceSheet "Yes"
esttab using table4R.tex, replace label nomtitles se b(3) drop(_cons ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy*) stats(yearFE BalanceSheet N r2_o, labels("Year fixed effects" "Balance sheet" "N (observations)" "\$R^2\$ (overall)") fmt(%s %s 0 %9.3f)) noobs title(Fixed effects estimates of growth in R\&D expenditures eq. (2), corrected data) nonotes addnotes("Robust standard errors, clustered by firm in parentheses." "* p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001." "Balance sheet controls in levels as in Barlevy (2007).")
eststo clear

*TABLE 5
*combined estimations
*FT using FE op lnR&D
label var delta_lnrd "\$\Delta\$R\&D"
label var ln_rd "R\&D"
*(6)
eststo: xtreg ln_rd ln_rgout lnrgoutXpateff pat_effect lnrgoutXfastcont fast_cont lnrgoutXext external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy** if fast_cont!=. , fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[ln_rgout] + _b[lnrgoutXpateff]*pat_effect + _b[lnrgoutXfastcont]*fast_cont + _b[lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "Level"
* FT using OLS but with level controls (as Barlevy)
*(6)
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff delta_lnrgoutXfastcont  delta_lnrgoutXext ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "OLS"
estadd local cntrls "Level"
*FE-Barlevy with the FT-variables
*(6)
eststo: xtreg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont fast_cont delta_lnrgoutXext external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=.  ,fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "Level"
*FT using FE op delta_lnR&D or Barlevy in delta-controls
*(6)
eststo: xtreg delta_lnrd delta_lnrgout delta_lnrgoutXpateff delta_lnrgoutXfastcont delta_lnrgoutXext delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "\$\Delta"
esttab using table5R.tex, replace label se b(3) drop(pat_effect fast_cont external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy**) stats(estmeth cntrls N r2 AveMargEffect AveNegPer, labels("Estimation method" "Type of controls" "N (observations)" "\$R^2\$" "Average marginal effect output" "\%Avg marginal effect\$<\$0") fmt(%s %s 0 %9.3f %9.3f %9.1f)) noobs title(Alternative estimates of (growth in) R\&D expenditures, OGGB data) nonotes addnotes("Robust standard errors, clustered by firm in parentheses." "* p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001.")
eststo clear

************************
** ALTERNATIVE TABLES **
************************

*TABLE 1A 
*OLS: R&D analysis - specification Fabrizio and Tsolman (2014)
use D:\Research\Fabrizio-Tsolmon\Data\RD_analysis.dta, clear
xtset gvkey year
drop yy1
drop if abs(delta_lnrd) > 0.5
label var delta_lnrgout "\$\Delta\$Output"
label var delta_lnrgoutXpateff "\$\Delta\$Output\$\times\$Patent Effectiveness"
label var pat_effect "Patent Effectiveness"
label var delta_lnrgoutXfastcont "\$\Delta\$Output\$\times\$Obsolescence"
label var fast_cont "Obsolescence"
label var delta_lnrgoutXext "\$\Delta\$Output\$\times\$External Financing"
label var external "External Financing"

* Table 1A regression (1) = (2)FT
eststo: reg delta_lnrd delta_lnrgout delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if fast_cont!=. , cluster(gvkey)
estadd local srtdata "FT"
gen insample=(e(sample)==1)
gen rd0=(ln_rd == 0) if insample
summ ln_rd rd0 if insample
estadd scalar AveMargEffect = _b[delta_lnrgout]
estadd scalar AveNegPer = 0
*(2) = (5)FT
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont  delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local srtdata "FT"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(3) = (6)FT
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont delta_lnrgoutXext external delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local srtdata "FT"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect

* met missing
use RD_analysis_MIS_2.dta, clear
xtset gvkey year
drop yy1
drop if abs(delta_lnrd) > 0.5

bys gvkey:gene nyear=_N

label var delta_lnrgout "\$\Delta\$Output"
label var delta_lnrgoutXpateff "\$\Delta\$Output\$\times\$Patent Effectiveness"
label var pat_effect "Patent Effectiveness"
label var delta_lnrgoutXfastcont "\$\Delta\$Output\$\times\$Obsolescence"
label var fast_cont "Obsolescence"
label var delta_lnrgoutXext "\$\Delta\$Output\$\times\$External Financing"
label var external "External Financing"

*(4) = (2)FT - corrected data
eststo: reg delta_lnrd delta_lnrgout delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag yy** if fast_cont!=. , cluster(gvkey)
gen insample=(e(sample)==1)
estadd local srtdata "OGGB"
estadd scalar AveMargEffect = _b[delta_lnrgout]
estadd scalar AveNegPer = 0
*(5) = (5)FT - corrected data
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont  delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local srtdata "OGGB"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
*(6) = (6)FT - corrected data
eststo: reg delta_lnrd delta_lnrgout delta_lnrgoutXpateff pat_effect delta_lnrgoutXfastcont  fast_cont delta_lnrgoutXext external delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. , cluster(gvkey)
estadd local srtdata "OGGB"
gene meffect=_b[delta_lnrgout] + _b[delta_lnrgoutXpateff]*pat_effect + _b[delta_lnrgoutXfastcont]*fast_cont + _b[delta_lnrgoutXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
esttab using table1aR.tex, replace label nomtitles se b(3) drop(delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy**) stats(srtdata N r2 AveMargEffect AveNegPer, labels("Data used" "N (observations)" "\$R^2\$" "Average marginal effect output" "\%Avg marginal effect\$<\$0") fmt(%s 0 %9.3f %9.3f %9.1f)) noobs title(OLS estimates of growth in R\&D expenditures (eq. 4)) nonotes addnotes("Robust standard errors, clustered by firm in parentheses. * p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001." "Additional controls as in FT, i.e. first differenced, including year fixed effects.")
eststo clear



*TABLE 2A
*FE: Barlevy specification
use D:\Research\Fabrizio-Tsolmon\Data\RD_analysis.dta, clear
xtset gvkey year
drop yy1
drop if abs(delta_lnrd) > 0.5

label var delta_lnrgout "\$\Delta\$Output"
label var delta_lnrgoutXpateff "\$\Delta\$Output\$\times\$Patent Effectiveness"
label var pat_effect "Patent Effectiveness"
label var delta_lnrgoutXfastcont "\$\Delta\$Output\$\times\$Obsolescence"
label var fast_cont "Obsolescence"
label var delta_lnrgoutXext "\$\Delta\$Output\$\times\$External Financing"
label var external "External Financing"

gen lnrgoutXpateff=ln_rgout*pat_effect
gen lnrgoutXfastcont=ln_rgout*fast_cont 
gen lnrgoutXext=ln_rgout*external
by gvkey: gen ln_cashafterlag=ln_cashafter[_n-1]
by gvkey: gen ln_atlag=ln_at[_n-1]
by gvkey: gen ln_ltlag=ln_lt[_n-1]
by gvkey: gen ln_dlttlag=ln_dltt[_n-1]
by gvkey: gen ln_dd1lag=ln_dd1[_n-1]
by gvkey: gen ln_ppentlag=ln_ppent[_n-1]

quiet xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=. ,fe cluster(gvkey)
gene chlevels=e(sample)
eststo: xtreg delta_lnrd delta_lnrgout if fast_cont!=.  ,fe cluster(gvkey)
estadd local srtdata "FT"
estadd local yearFE "No"
estadd local BalanceSheet "No"
eststo: xtreg delta_lnrd delta_lnrgout yy* if fast_cont!=. ,fe cluster(gvkey)
estadd local srtdata "FT"
estadd local yearFE "Yes"
estadd local BalanceSheet "No"
eststo: xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag if fast_cont!=. ,fe cluster(gvkey)
estadd local srtdata "FT"
estadd local yearFE "No"
estadd local BalanceSheet "Yes"
eststo: xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=. ,fe cluster(gvkey)
estadd local srtdata "FT"
estadd local yearFE "Yes"
estadd local BalanceSheet "Yes"

* met missing
use RD_analysis_MIS_2.dta, clear
xtset gvkey year
drop yy1
drop if abs(delta_lnrd) > 0.5

bys gvkey:gene nyear=_N

label var delta_lnrgout "\$\Delta\$Output"
label var delta_lnrgoutXpateff "\$\Delta\$Output\$\times\$Patent Effectiveness"
label var pat_effect "Patent Effectiveness"
label var delta_lnrgoutXfastcont "\$\Delta\$Output\$\times\$Obsolescence"
label var fast_cont "Obsolescence"
label var delta_lnrgoutXext "\$\Delta\$Output\$\times\$External Financing"
label var external "External Financing"

*FE: Barlevy specification - corrected data
gen lnrgoutXpateff=ln_rgout*pat_effect
gen lnrgoutXfastcont=ln_rgout*fast_cont 
gen lnrgoutXext=ln_rgout*external

label var ln_rgout "Output"
label var lnrgoutXpateff  "Output\$\times\$Patent Effectiveness"
label var lnrgoutXfastcont "Ouput\$\times\$Obsolescence"
label var lnrgoutXext "Ouput\$\times\$External Financing"

by gvkey: gen ln_cashafterlag=ln_cashafter[_n-1]
by gvkey: gen ln_atlag=ln_at[_n-1]
by gvkey: gen ln_ltlag=ln_lt[_n-1]
by gvkey: gen ln_dlttlag=ln_dltt[_n-1]
by gvkey: gen ln_dd1lag=ln_dd1[_n-1]
by gvkey: gen ln_ppentlag=ln_ppent[_n-1]

quiet xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=. ,fe cluster(gvkey)
gene chlevels=e(sample)
eststo: xtreg delta_lnrd delta_lnrgout if fast_cont!=.  ,fe cluster(gvkey)
estadd local srtdata "OGGB"
estadd local yearFE "No"
estadd local BalanceSheet "No"
eststo: xtreg delta_lnrd delta_lnrgout yy* if fast_cont!=. ,fe cluster(gvkey)
estadd local srtdata "OGGB"
estadd local yearFE "Yes"
estadd local BalanceSheet "No"
eststo: xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag if fast_cont!=. ,fe cluster(gvkey)
estadd local srtdata "OGGB"
estadd local yearFE "No"
estadd local BalanceSheet "Yes"
eststo: xtreg delta_lnrd delta_lnrgout ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=. ,fe cluster(gvkey)
estadd local srtdata "OGGB"
estadd local yearFE "Yes"
estadd local BalanceSheet "Yes"

esttab using table2aR.tex, replace label nomtitles se b(3) drop(_cons ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy*) stats(srtdata yearFE BalanceSheet N r2_o, labels("Data used" "Year fixed effects" "Balance sheet controls" "N (observations)" "\$R^2\$ (overall)") fmt(%s %s %s 0 %9.3f)) noobs title(Fixed effects estimates of growth in R\&D expenditures eq. (2)) nonotes addnotes("Robust standard errors, clustered by firm in parentheses. * p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001." " Balance sheet controls in levels as in Barlevy (2007).")
eststo clear


*TABLE 6 RESUB
*USING SALES AS FIRM OUTPUT LN_SALES (lagged sales)
gen lnsalesXfastcont=ln_sales*fast_cont
gen lnsalesXpateff=ln_sales*pat_effect
gen lnsalesXext=ln_sales*external
gen delta_lnsalesXfastcont=delta_lnsales*fast_cont
gen delta_lnsalesXpateff=delta_lnsales*pat_effect
gen delta_lnsalesXext=delta_lnsales*external

label var delta_lnsales "\$\Delta\$Output"
label var delta_lnsalesXpateff "\$\Delta\$Output\$\times\$Patent Effectiveness"
label var delta_lnsalesXfastcont "\$\Delta\$Output\$\times\$Obsolescence"
label var delta_lnsalesXext "\$\Delta\$Output\$\times\$External Financing"
label var ln_sales "Output" 
label var lnsalesXpateff  "Output\$\times\$Patent Effectiveness"
label var lnsalesXfastcont "Output\$\times\$Obsolescence"
label var lnsalesXext "Output\$\times\$External Financing"



*combined estimations
*FT using FE op lnR&D
label var delta_lnrd "\$\Delta\$R\&D"
label var ln_rd "R\&D"
*(6)
eststo: xtreg ln_rd ln_sales lnsalesXpateff pat_effect lnsalesXfastcont fast_cont lnsalesXext external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy** if fast_cont!=. , fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[ln_sales] + _b[lnsalesXpateff]*pat_effect + _b[lnsalesXfastcont]*fast_cont + _b[lnsalesXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "Level"
* FT using OLS but with level controls (as Barlevy)
*(6)
eststo: reg delta_lnrd delta_lnsales delta_lnsalesXpateff delta_lnsalesXfastcont  delta_lnsalesXext ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnsales] + _b[delta_lnsalesXpateff]*pat_effect + _b[delta_lnsalesXfastcont]*fast_cont + _b[delta_lnsalesXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "OLS"
estadd local cntrls "Level"
*FE-Barlevy with the FT-variables
*(6)
eststo: xtreg delta_lnrd delta_lnsales delta_lnsalesXpateff pat_effect delta_lnsalesXfastcont fast_cont delta_lnsalesXext external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=.  ,fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnsales] + _b[delta_lnsalesXpateff]*pat_effect + _b[delta_lnsalesXfastcont]*fast_cont + _b[delta_lnsalesXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "Level"
*FT using FE op delta_lnR&D or Barlevy in delta-controls
*(6)
eststo: xtreg delta_lnrd delta_lnsales delta_lnsalesXpateff delta_lnsalesXfastcont delta_lnsalesXext delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnsales] + _b[delta_lnsalesXpateff]*pat_effect + _b[delta_lnsalesXfastcont]*fast_cont + _b[delta_lnsalesXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "\$\Delta"
esttab using table6R.tex, replace label se b(3) drop(pat_effect fast_cont external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy**) stats(estmeth cntrls N r2 AveMargEffect AveNegPer, labels("Estimation method" "Type of controls" "N (observations)" "\$R^2\$" "Average marginal effect output" "\%Avg marginal effect\$<\$0") fmt(%s %s 0 %9.3f %9.3f %9.1f)) noobs title(Alternative estimates of (growth in) R\&D expenditures using firm output, OGGB data) nonotes addnotes("Robust standard errors, clustered by firm in parentheses." "* p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001.")
eststo clear


*TABLE 7 RESUB
*USING SALES AS FIRM OUTPUT LN_SALES (unlagged sales)
gen lnsalesAXfastcont=ln_sales_A*fast_cont
gen lnsalesAXpateff=ln_sales_A*pat_effect
gen lnsalesAXext=ln_sales_A*external
gen delta_lnsalesAXfastcont=delta_lnsales_A*fast_cont
gen delta_lnsalesAXpateff=delta_lnsales_A*pat_effect
gen delta_lnsalesAXext=delta_lnsales_A*external

label var delta_lnsales_A "\$\Delta\$Output"
label var delta_lnsalesAXpateff "\$\Delta\$Output\$\times\$Patent Effectiveness"
label var delta_lnsalesAXfastcont "\$\Delta\$Output\$\times\$Obsolescence"
label var delta_lnsalesAXext "\$\Delta\$Output\$\times\$External Financing"
label var ln_sales_A "Output" 
label var lnsalesAXpateff  "Output\$\times\$Patent Effectiveness"
label var lnsalesAXfastcont "Output\$\times\$Obsolescence"
label var lnsalesAXext "Output\$\times\$External Financing"



*combined estimations
*FT using FE op lnR&D
label var delta_lnrd "\$\Delta\$R\&D"
label var ln_rd "R\&D"
*(6)
eststo: xtreg ln_rd ln_sales_A lnsalesAXpateff pat_effect lnsalesAXfastcont fast_cont lnsalesAXext external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy** if fast_cont!=. , fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[ln_sales_A] + _b[lnsalesAXpateff]*pat_effect + _b[lnsalesAXfastcont]*fast_cont + _b[lnsalesAXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "Level"
* FT using OLS but with level controls (as Barlevy)
*(6)
eststo: reg delta_lnrd delta_lnsales_A delta_lnsalesAXpateff delta_lnsalesAXfastcont  delta_lnsalesAXext ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy** if fast_cont!=. , cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnsales_A] + _b[delta_lnsalesAXpateff]*pat_effect + _b[delta_lnsalesAXfastcont]*fast_cont + _b[delta_lnsalesAXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "OLS"
estadd local cntrls "Level"
*FE-Barlevy with the FT-variables
*(6)
eststo: xtreg delta_lnrd delta_lnsales_A delta_lnsalesAXpateff pat_effect delta_lnsalesAXfastcont fast_cont delta_lnsalesAXext external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag yy* if fast_cont!=.  ,fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnsales_A] + _b[delta_lnsalesAXpateff]*pat_effect + _b[delta_lnsalesAXfastcont]*fast_cont + _b[delta_lnsalesAXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "Level"
*FT using FE op delta_lnR&D or Barlevy in delta-controls
*(6)
eststo: xtreg delta_lnrd delta_lnsales_A delta_lnsalesAXpateff delta_lnsalesAXfastcont delta_lnsalesAXext delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy** if fast_cont!=. ,fe cluster(gvkey)
estadd local yearFE "Yes"
gene meffect=_b[delta_lnsales_A] + _b[delta_lnsalesAXpateff]*pat_effect + _b[delta_lnsalesAXfastcont]*fast_cont + _b[delta_lnsalesAXext]*external
summ meffect if e(sample) == 1
estadd scalar AveMargEffect = r(mean)
gene tmeffect=(meffect > 0)
table tmeffect if e(sample) == 1, row col
summ tmeffect if e(sample) == 1
estadd scalar AveNegPer = 100*( 1-r(mean))
drop meffect tmeffect
estadd local estmeth "FE"
estadd local cntrls "\$\Delta"
esttab using table7R.tex, replace label se b(3) drop(pat_effect fast_cont external ln_cashafter ln_cashafterlag ln_at ln_atlag ln_lt ln_ltlag ln_dltt ln_dlttlag ln_dd1 ln_dd1lag ln_ppent ln_ppentlag delta_lncashafter delta_lncashafterlag delta_lnat delta_lnatlag delta_lnlt delta_lnltlag delta_lndltt delta_lndlttlag delta_lndd1 delta_lndd1lag delta_lnppent delta_lnppentlag  yy**) stats(estmeth cntrls N r2 AveMargEffect AveNegPer, labels("Estimation method" "Type of controls" "N (observations)" "\$R^2\$" "Average marginal effect output" "\%Avg marginal effect\$<\$0") fmt(%s %s 0 %9.3f %9.3f %9.1f)) noobs title(Alternative estimates of (growth in) R\&D expenditures using firm output, OGGB data) nonotes addnotes("Robust standard errors, clustered by firm in parentheses." "* p\$<\$0.05, ** p\$<\$0.01, *** p\$<\$0.001.")
eststo clear

log close
*end program
